// This C# example can be compiled as a Console Application with
// Visual Studio 2012 after adding a reference to "Araneus Alea
// Library" via Project / Add Reference / COM.

using System;
using AleaLib;

namespace Example
{
    class Program
    {
        static void Main(string[] args)
        {
            Alea a = new Alea();
            a.Open();

            System.Console.WriteLine("Random bytes:");
            object byteobj;
            a.GetRandomBytes(10U, out byteobj);
            byte[] bytearray = (byte[])byteobj;
            for (int i = 0; i < bytearray.Length; i++)
                System.Console.WriteLine(bytearray[i]);

            System.Console.WriteLine("Random words:");
            object wordobj;
            a.GetRandomWords(10U, out wordobj);
            uint[] wordarray = (uint[])wordobj;
            for (int i = 0; i < wordarray.Length; i++)
                System.Console.WriteLine(wordarray[i]);
            
            System.Console.WriteLine("Random doubles:");
            object doubleobj;
            a.GetRandomDoubles(10U, out doubleobj);
            double[] array = (double[])doubleobj;
            for (int i = 0; i < array.Length; i++)
                System.Console.WriteLine(array[i]);

            System.Console.ReadLine();
        }
    }
}
